Installer - Bug #25304

Building the installer no longer uncomments the kafo_modules_dir
10/25/2018 11:02 AM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: foreman-installer script
Target version: 1.20.0
Difficulty: Fixed in Releases: 1.20.0
Triaged: No Found in Releases: 1.20.0, 1.21.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/300

Description

In 9929fe2ed9009fdec146a6ee75f2f2d7f08416f7 the building process was changed. A regression was introduced that no longer
uncommented the kafo_modules_dir.

Source (config/foreman.yaml):

# :kafo_modules_dir: /usr/lib/ruby/vendor_ruby/kafo/modules

With the command:

KAFO_MODULES_DIR=/path/to/kafo/modules bundle exec rake

Before the regression it produced:

:kafo_modules_dir: /path/to/kafo/modules

After the regression it didn't uncomment the setting:

# :kafo_modules_dir: /path/to/kafo/modules

Associated revisions

Revision 3ff078d1 - 10/25/2018 11:04 AM - Ewoud Kohl van Wijngaarden
Fixes #25304 - Correct handle kafo_modules_dir

In 9929fe2ed9009fdec146a6ee75f2f2d7f084f6f7 the building process was
changed. A regression was introduced that no longer uncommented the
kafo_modules_dir.
Source (config/foreman.yaml):

1. :kafo_modules_dir: /usr/lib/ruby/vendor_ruby/kafo/modules
With the command:
KAFO_MODULES_DIR=/path/to/kafo/modules bundle exec rake
Before the regression it produced:
:kafo_modules_dir: /path/to/kafo/modules

After the regression it didn't uncomment the setting:

1. :kafo_modules_dir: /path/to/kafo/modules
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/9929fe2ed9009fdec146a6ee75f2f2d7f084f6f7

This patch restores the old behavior.

History

#1 - 10/25/2018 11:05 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/300 added

#2 - 10/25/2018 12:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset 3ff078d12560c3f7ec55dad6bc70dd87dd7855a0.

#3 - 10/28/2018 10:02 AM - Tomer Brisker
- Fixed in Releases 1.20.0 added
